TRAFFIC_WCCP(1)

NAME
traffic_wccp - Traffic Server WCCP client

DESCRIPTION

Front end to the wccp client library. It is a stand alone program that speaks the client side of the WCCP cache protocol.

It can be used instead of the built in WCCP feature in Traffic Server. This can be beneficial if you have multiple programs running on the same computer that are relying on WCCP to redirect traffic from the router to the computer.

Since it relies on the wccp library, traffic_wccp is only built if Traffic Server is configured with --enable-wccp.

The overall Apache Traffic Server WCCP configuration documentation is at WCCP Configuration

OPTIONS

    --address IP address to bind.

    --router Bootstrap IP address for routers.

    --service Path to service group definitions.

    --debug Print debugging information.

    --daemon Run as daemon.

You need to run at least with the --service arguments. An example service definition file, service-nogre-example.config, is included in the src/traffic_wccp directory. In this file you define your MD5 security password (highly recommended), and you define your service groups. The details of the service file are defined at WCCP Service Configuration.

LIMITATIONS

The current WCCP implementation associated with ATS only supports one cache client per service group per router. The cache assignment logic currently assigns the current cache client to all buckets.

COPYRIGHT
2025, dev@trafficserver.apache.org